Draft Clone

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 9% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Draft Clone

Emplacement du menu
Draft → Clone
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Draft Scale


Description

Cet outil génère un clone (copie paramétriquement liée à l'objet original) d'un objet sélectionné. Si l'objet original est modifié, le clone sera aussi modifié, mais maintiendra sa position rotation et échelle.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Draft Clone

Utilisation

  1. Sélectionnez l'objet (les objets) à cloner.
  2. Pressez le bouton Draft Clone Draft Clone.

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Options

  • Les clones d'objets 2D (Projet ou croquis) seront aussi des objets 2D, et peuvent donc être utilisés tel quel avec Part Design.
  • Tous les objets Arch ont la possibilité de se comporter comme des clones (en utilisant leur propriétés CloneOf). Si vous utilisez l'outil Draft Clone sur un objet Arch sélectionné, vous produirez un objet Arch clone à la place d'un objet Draft clone conventionnel.

Propriétés

  • DONNÉESScale: Spécifie le facteur d'échelle pour le clone.
  • DONNÉESFuse: Si ce clone utilise plusieurs objets, cela indique si le résultat est une fusion ou un composé Disponible dans la version 0.17
  • Le résultat de l'outil Draft Scale est aussi un clone.
  • Les sketches ne peuvent pas être construits sur les faces d'un clone. C'est une limitation de Draft Clone.

Script

L'outil Clone, peut être utilisé dans les macros, et, dans la console Python en utilisant la fonction suivante :

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crée un clone de(s) l'objet(s).
  • Le clone est une copie exacte de l'objet sélectionné, et lié à cet objet.
  • Si l'objet d'origine est modifié, l'objet final change aussi. Facultativement, vous pouvez donner un vecteur delta, pour déplacer le clone de sa position d'origine.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Exemple:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Previous: Draft PointArray.svg Point Array
Next: Drawing Draft Drawing.svg Arrow-right.svg